CAD Forum - Database of tips, tricks and utilities for AutoCAD, Inventor and other Autodesk products [www.cadforum.cz]
CZ | EN | DE
Login or
registration
  Visitors: 10128
RSS channel - CAD tips RSS tips
RSS discussions

Discussion Discussion forum

 

HelpCAD discussion

 
CAD Forum - Homepage CAD discussion forum - ask any CAD-related questions here, share your CAD knowledge on AutoCAD, Inventor, Revit and other Autodesk software with your peers from all over the world. To start a new topic, choose an appropriate forum.

Please abide by the rules of this forum.

How to post questions: register or login, go to the specific forum and click the NEW TOPIC button.
  FAQ FAQ  Forum Search   Events   Register Register  Login Login

Topic ClosedAcad lisp code plott more copys

 Post Reply Post Reply
Author
georgino View Drop Down
Newbie
Newbie


Joined: 06.Nov.2011
Location: Austria
Using: Acad 2009
Status: Offline
Points: 2
Direct Link To This Post Topic: Acad lisp code plott more copys
    Posted: 06.Nov.2011 at 17:08

Hi folks..


quastion:

i need a command in lisp for more that one copy plot.

have anywhere an idea?


Thx georgino...


Me lisp code:



(print)
;************************************************* ***********
(defun C:PL ()
(setvar "OSMODE" 1)
(INITGET 1)
(setq P1 (getpoint "\n Lower Left Endpoint: "))
(INITGET 1)
(setq P2 (getpoint "\n Upper Right Endpoint: "))
(setvar "OSMODE" 0)
************************************************ **************************************************
(setvar "cmdecho" 0)
(command "-PLOT" "j" "" "Canon MP270 series Printer" "A4" "" "" "" "fe" P1 P2 "" "" "" "acad.ctb" "" "" "" "" "" "" "")

(print "\nType Datei an den Plotter gesendet! :-)")

;************************************************* **************************************************
 ) 

 



Edited by georgino - 06.Nov.2011 at 19:03
Back to Top
georgino View Drop Down
Newbie
Newbie


Joined: 06.Nov.2011
Location: Austria
Using: Acad 2009
Status: Offline
Points: 2
Direct Link To This Post Posted: 11.Nov.2011 at 19:11

I have creat this one:

(print)

;************************************************* ***********
(defun C:PL ()
(setvar "OSMODE" 1)
(INITGET 1)
(setq P1 (getpoint "\n Lower Left Endpoint: "))
(INITGET 1)
(setq P2 (getpoint "\n Upper Right Endpoint: "))
(setvar "OSMODE" 0)

************************************************ **************************************************(setvar "cmdecho" 0)

(satq z (read))

(while (not (zerop z))


;************************************************* **************************************************
(setvar "cmdecho" 0)
(command "-PLOT" "j" "" "Canon MP270 series Printer" "A4" "" "" "" "fe" P1 P2 "" "" "" "acad.ctb" "" "" "" "" "" "" "")

(setq z(1- z))

)
  


 (print "\nType Datei an den Plotter gesendet! :-)")


;************************************************* **************************************************

)


Acad write: syntax error! 

Whats the problem?

Back to Top
John Connor View Drop Down
Senior Member
Senior Member


Joined: 01.Feb.2011
Location: United States
Using: AutoCAD 2018
Status: Offline
Points: 7175
Direct Link To This Post Posted: 14.Nov.2011 at 12:08
Why are you reinventing the wheel?  The Plot command has the option to input the number of copies that are to be plotted.
"Humans have a strength that cannot be measured. This is John Connor. If you are reading this, you are the resistance."

<<AutoCAD 2015>>

Back to Top

Related CAD tips:


 Post Reply Post Reply
  Share Topic   

Forum Jump Forum Permissions View Drop Down



This page was generated in 0,346 seconds.